Name: i3blocks		
Version: 1.4
Release: 2%{?dist}
Summary: i3blocks is a highly flexible status line for the i3wm	

License: GPLv3
URL: https://github.com/vivien/%{name}	
Source0: %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc
Requires: i3
Recommends: mpstat
Recommends: acpi
Recommends: lm_sensors

%description
i3blocks is a highly flexible status line for the i3 window manager. It handles clicks, signals and language-agnostic user scripts.

The content of each block (e.g. time, battery status, network state, ...) is the output of a command provided by the user. Blocks are updated on click, at a given interval of time or on a given signal, also specified by the user.

It aims to respect the i3bar protocol, providing customization such as text alignment, urgency, color, and more.

%prep
%autosetup

%build
%make_build CFLAGS="%{optflags} -Iinclude" LDFLAGS="%{__global_ldflags}" PREFIX="%{_prefix}"

%install
%make_install PREFIX=%{_prefix}

%files
%doc README.md
%license COPYING

%{_bindir}/%{name}
%{_libexecdir}/%{name}
%{_mandir}/man1/%{name}.*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Fri Feb 1 2019 Vladius <vkorol2509@icloud.com> - 1.4-2
- Debug packages support

* Fri Feb 1 2019 Vladius <vkorol2509@icloud.com> - 1.4-1
- Initial SPEC release.
